# List Current Usages

Retrieve the current usage for disbursements.

Endpoint: GET /disbursement_rules/current_usages
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Query parameters:

  - `linked_to` (string, required)
    The ID of the `Application` or `Platform` that the `Disbursement Rule` belongs to.

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `limit` (integer)
    The numbers of items to return.

  - `updated_at.gte` (string)
    Filter where `updated_at` is after the given date.

  - `updated_at.lte` (string)
    Filter where `updated_at` is before the given date.

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see [Versioning](../../../../additional-resources/developers/authentication-and-api-basics/versioning).

## Response 200:

  - `200` (unknown)
    List of `Disbursement Rule` resources

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.current_usages` (array)

  - `_embedded.current_usages.ach_velocity` (object)
    An object that contains the current usage and limits for ACH disbursements.

  - `_embedded.current_usages.ach_velocity.daily_velocity` (object)
    An object that contains the current usage and limits for disbursements.

  - `_embedded.current_usages.ach_velocity.daily_velocity.current_volume` (integer)
    The current volume of disbursements.

  - `_embedded.current_usages.ach_velocity.daily_velocity.current_count` (integer)
    The current count of disbursements.

  - `_embedded.current_usages.ach_velocity.daily_velocity.volume_limit` (integer)
    The volume limit for disbursements.

  - `_embedded.current_usages.ach_velocity.daily_velocity.count_limit` (integer)
    The count limit for disbursements.

  - `_embedded.current_usages.ach_velocity.daily_velocity.window_reset` (string)
    The date and time when the usage window resets.

  - `_embedded.current_usages.card_velocity` (object)
    An object that contains the current usage and limits for Card disbursements.

  - `_embedded.current_usages.balance_adjustment_velocity` (object)
    An object that contains the current usage and limits for balance adjustments.

  - `_embedded.current_usages.currency` (string)
    ISO 4217 3-letter currency code.
    Enum: "CAD", "USD"

  - `_embedded.current_usages.linked_to` (string)
    The identifier for the `Application` or `Platform` resource associated with the `Disbursement Rule`.

  - `_embedded.current_usages.linked_type` (string)
    The type of the resource that is specified in the `linked_to` field.
    Enum: "APPLICATION", "PLATFORM"

  - `_embedded.current_usages.type` (string)
    The `type` will always be `TOTAL`.
    Enum: "TOTAL"

  - `_embedded.current_usages._links` (object)

  - `_embedded.current_usages._links.self` (object)
    Link to the resource that was used in the request.

  - `_embedded.current_usages._links.self.href` (string)

  - `_links` (object)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 200 headers (application/json):

  - `date` (string)
    A response header indicating the date and time of the API request.
    Example: Tue, 08 Jul 2025 17:38:01 GMT

  - `finix-apiuser-role` (string)
    This response header indicating the role of the user who sent the API request.
    Enum: "ROLE_PLATFORM", "ROLE_PARTNER", "ROLE_MERCHANT"

  - `x-request-id` (string)
    This response header provides a unique identifier for the API request.
    Example: 055972f6534f92a896fbb61b11313ebb

## Response 400:

  - `400` (unknown)
    Bad Request. The server cannot process the request due to malformed syntax or invalid data.

## Response 400 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 401:

  - `401` (unknown)
    Unauthorized. Authentication is required and has failed or has not been provided.

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403:

  - `403` (unknown)
    Forbidden. The client is authenticated but does not have permission to access the resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406:

  - `406` (unknown)
    Not Acceptable. The server could not accept the submitted request. Confirm how the request was formatted and submitted.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 422:

  - `422` (unknown)
    Unprocessable Entity. One or more query parameters were syntactically valid but could not be processed.

## Response 422 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 200 examples:

  - `List of Disbursement Rules` (unknown)

## Response 400 examples:

  - `Missing query param` (unknown)

## Response 401 examples:

  - `Unauthorized request` (unknown)

## Response 403 examples:

  - `Forbidden request` (unknown)

## Response 406 examples:

  - `Not acceptable` (unknown)

## Response 422 examples:

  - `Invalid value for query param` (unknown)

